Package org.apache.commons.math3.ml.neuralnet.twod.util

# Class HitHistogram

java.lang.Object
org.apache.commons.math3.ml.neuralnet.twod.util.HitHistogram

All Implemented Interfaces:
  `MapDataVisualization`

public class HitHistogram extends Object implements MapDataVisualization
Computes the hit histogram. Each bin will contain the number of data for which the corresponding neuron is the best matching unit.

Since:
  3.6

## Constructor Summary

Constructors
Constructor
Description
`HitHistogram(boolean normalizeCount, DistanceMeasure distance)`

## Method Summary

Modifier and Type
Method
Description
`double[][]`
`computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)`
Creates an image of the `data` metrics when represented by the `map`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HitHistogram

public HitHistogram(boolean normalizeCount, DistanceMeasure distance)

Parameters:
  `normalizeCount` - Whether to compute relative bin counts. If `true`, the data count in each bin will be divided by the total number of samples.
  `distance` - Distance.

## Method Details

### computeImage

public double[][] computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)
Creates an image of the `data` metrics when represented by the `map`.

Specified by:
  `computeImage` in interface `MapDataVisualization`
Parameters:
  `map` - Map.
  `data` - Data.
Returns:
  a 2D-array (in row major order) representing the metrics.